<?
	/** Strona, która wyświetla tabelkę z grupami i tabelkę z plagiatami
	* @author Dariusz Działak
	* @package XPWykladowca
	*/
	if ($sess->isLoged("Wykl")) {
		$plagiat_id = $_GET[plagiat_id];
		$nazwa_przedmiotu = $sess->get(w_przedmiot);
		echo "<H1> $nazwa_przedmiotu </H1>";

		include "include/W_pokaz_grupy.inc.php";
		/*
			poniższy kod wyświetla tabele z plagiatami
		*/
		if (count($plagiat)>0) {
			echo "<H2> plagiaty </H2>\n";

			$tab = new CTable(5, "ttable", "cellspacing=0");
			$tab->addField("id", "thead", "width=12%");
			$tab->addField("student 1", "thead", "width=22%");
			$tab->addField("student 2", "thead", "width=22%");
			$tab->addField("nazwa zad", "thead", "width=22%");
			$tab->addField("opis", "thead", "width=22%");

			$parity = "even";
			$form = new CForm();
			foreach($plagiat as $key => $value){
				if ($key==$plagiat_id) { $w1 = "<b>"; $w2 = "</b>"; }
				else  { $w1 = ""; $w2 = ""; }
				$tab->addField("$w1$key$w2", "T$parity");
				$tab->addField("$w1$value[stud1]<p>$value[data1]</p>$w2", $parity);
				$tab->addField("$w1$value[stud2]<p>$value[data2]</p>$w2", "T$parity");
				$tab->addField("$w1$value[zad]$w2", $parity);
				$tab->addField("$w1$value[opis]$w2", "T$parity");
				if ($parity=="even") $parity="odd";
				else $parity="even";
			}

			$tab->close();
		} else
			echo "<H2> Nie znaleziono plagiatów </H2>\n";
	}
?>
